Subject: Re: [RFC PATCH] Ethtool style in kernel network driver configuration.

From: Martin Fuzzey <[email-masked]>
Date: Sat, 13 Jun 2009 11:29:50 +0200

David Miller wrote:
> From: Martin Fuzzey <[email-masked]>
> Date: Sat, 13 Jun 2009 09:51:38 +0200
>   
> The bug is a hardware limitation.
>
> The kernel programs and knows the hardware.
>
> Therefore knowledge of the limitation belongs in the kernel.
>   
Yes indeed and that's why I included the programatic interface to let
the board specific code in the kernel do it in a non intrusive way with
zero driver modifications.
For me the command line method is for the "environment" case you mention
and the programatic interface is for the broken hardware case. The patch
supports both (or just one however you decide to KConfig it) so if you
just want to work around broken hardware you don't have to pay the
overhead of the command line parsing code.
> In no other situation would we say "this aspect of this chip doesn't
> work, so we'll block usage of that in some high level configuration
> framework"
>
> No, we'd always deal with HW problems in the driver itself.
>   
Yes I agree but this isn't about the _chip_ being broken but the _board_
being broken.
IMHO the drivers are supposed to be  chip (or even chip family) specific
not board specific.
The driver in question is fine and doesn't need fixing - even the board
schematic is fine - it's the board layout causing signal corruption at
100MBps...

Martin